/* CSS Document */


/* Clear all browser defaults */
* {
    border: 0em;
    margin: 0em;
    padding: 0em;
}
/* ------------------------------  HTML Tags ---------------------------------------*/
img {
    font-size: 0px;
}

a:focus {
    outline: none;
}

body {
    font-family: Helvetica,Arial,Verdana;
    text-align: center;
}

#certificate {
    display: none;
}

h1 {
    font-size: 36px;
    font-weight: normal;
}
h2 {
    font-size: 16px;
    font-weight: normal;
    margin-bottom: 16px;
}
h3 {
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 16px;
}

p, a, address, pre, th, td, li {
    color: inherit;
    font-family: Helvetica,Arial,Verdana; 
    font-size: 14px;
    line-height: 22px;
    margin-bottom: 16px;
    text-decoration: none;
    vertical-align: top;
}
ul, ol {
    margin-left: 20px;
    margin-bottom: 16px;
}
li {
    font-family: Helvetica,Arial,Verdana; 
    margin-bottom: 4px;
    text-decoration: none;
}
table {
    border-collapse: collapse;
    clear: both;
    margin-bottom: 18px;
    width: 100%;
}
.clear {
    clear: both;
}
th {
    font-family: Helvetica,Arial,Verdana; 
    font-size: 14px;
    color: white;
    padding: 4px 20px;
}
hr {
    background-image: url(../interface/horizontal-dot.png);
    height: 1px;
    margin: 0 20px;
}
#prefsItems hr, #prefsHotspot hr, #settingsWallpaper, hr, #pageIndexDisplay hr {
    margin: 0 20px 0 0;
}
/* ------------------------------  Interface ---------------------------------------*/

#tablet {
    background-image: url(../interface/tablet.png);
    height: 778px;
    margin: 0px auto;
    position: relative;
    text-align: left;
    width: 1028px;
}
#infoBar {
    background-image: url(../interface/info-bar-bg.jpg);
    height: 20px;
    left: 78px;
    position: absolute;
    top: 68px;
    width: 859px;
}
#unitTitle {
    color: white;
    font-size: 12px;
    line-height: 20px;
    margin-left: 10px;
}
#infoBarIcons {
    background-image: url(../interface/info-bar-icons.png);
    height: 10px;
    left: 750px;
    position: absolute;
    top: 5px;
    width: 59px;
}
#timeDisplay {
    color: white;
    display: block;
    font-size: 12px;
    line-height: 20px;
    margin-left: 10px;
    position: absolute;
    right: 10px;
    top: 0;
}
#screen {
    height: 602px;
    left: 78px;
    position: absolute;
    top: 88px;
    width: 859px;
}
/* ------- Right navigation -------- */
#nav {
    height: 200px;
    left: 942px;
    position: absolute;
    top: 268px;
    width: 56px;
}
#navExit {
    background-image: url(../interface/exit-button.png);
    background-position: 0 0;
    display: block;
    height: 44px;
    left: 10px;
    position: absolute;
    top: -160px;
    width: 41px;
}
#navExit:hover {
    background-position: 0 -44px;
}
.navButton {
    background-position: 0 0;
    display: block;
    height: 58px;
    margin-bottom: 20px;
    width: 62px;
}
#navBack {
    background-image: url(../interface/arrow-left-nav.png);
}
#navNext {
    background-image: url(../interface/arrow-right-nav.png);
}
#navBack:hover, #navNext:hover {
    background-position: 0 -58px;
}
#navMenu {
    background-image: url(../interface/settings-nav-btn.png);
    height: 61px;
}
#navMenu:hover {
    background-position: 0 -61px;
}
/* ------- Menu -------- */

#homeMenu {
    background-image: url(../interface/slide-up-panel-nav.jpg);
    bottom: 0;
    height: 0;
    overflow: hidden;
    margin: 0 0 88px 78px;
    position: absolute;
    width: 859px;
}
#homeMenu a {
    background-image: url(../interface/slide-up-panel-nav.jpg);
    color: #444444;
    display: block;
    float: left;
    height: 133px;
    line-height: 100px;
    margin: 13px 0 0 34px;
    overflow: hidden;
    text-indent: -1000px;
    width: 133px;
}
#menuOff {
    background-position: -696px -13px;
    margin-left: 29px;
}
#menuOff:hover {
    background-position: -696px -180px;
}
#menuHeader1 {
    background-position: -29px -13px;
}
#menuHeader1:hover {
    background-position: -29px -180px;
}
#menuHeader2 {
    background-position: -196px -13px;
}
#menuHeader2:hover {
    background-position: -196px -180px;
}
#menuWallpaper {
    background-position: -363px -13px;
}
#menuWallpaper:hover {
    background-position: -363px -180px;
}
#menuPreffs {
    background-position: -529px -13px;
}
#menuPreffs:hover {
    background-position: -529px -180px;
}
/* ------- Widget floating -------- */
#widget {
    background-image: url(../interface/progress-bar-bg.png);
    cursor: move;
    display: none;
    height: 116px;
    position: absolute;
    width: 230px;
}
#widgetMinimise {
    background-image: url(../interface/widget-minimise.jpg);
    background-position: bottom;
    background-repeat: no-repeat;
    display: block;
    height: 20px;
    left: 160px;
    position: absolute;
    top: 12px;
    width: 20px;
}
#progressBar {
    background-image: url(../interface/progress-bar.png);
    height: 22px;
    left: 22px;
    position: absolute;
    top: 52px;
    width: 30px
}
#progressBarLeft {
    background-image: url(../interface/progress-bar-left.png);
    height: 22px;
    width: 185px;
}
#progressTxt {
    color: white;
    font-size: 12px;
    left: 22px;
    position: absolute;
    top: 80px;
}
/* widget docked */
#widgetDocked {
    display: block;
    left: 390px;
    position: absolute;
    top: 0;
}
#progressTxtDocked {
    color: white;
    font-size: 12px;
    line-height: 20px;
    width: 100px;
}
#progressBarDockedContainer {
    background-color: #312d2e;
    height: 4px;
    left: 100px;
    position: absolute;
    top: 8px;
    width: 185px;
}
#progressBarDocked {
    background-image: url(../interface/progress-bar.png);
    height: 4px;
    position: absolute;
    top: 0;
    width: 0;
}
#widgetFloat {
    border: 1px solid #FFFFFF;
    display: block;
    height: 8px;
    left: 290px;
    position: absolute;
    top: 5px;
    width: 8px;
}
/* ------------------------------------ ----------------------------------- */
/* ------------------------------------ ----------------------------------- */
/* ------------------------------------ ----------------------------------- */
/* ------------------------------------ Content ----------------------------------- */
#screen h1 {
    margin: 20px;
}
#screen .textObj {
    margin: 20px;
}
#screen img {
    position: absolute;
}
.selectObject, .selectTarget {
    background-image: url(../interface/single.png);
    background-position: 0 0;
    height: 34px;
    position: absolute;
    width: 34px;
}
.selectObjectSelected, .selectTargetSelected {
    background-position: 0 -34px;
}
.selectObjectLine {
    position: absolute;
}
.pixel {
    background-image: url(../interface/pixel.png);
    height: 3px;
    position: absolute;
    width: 3px;
}
.hotspot {
    background-image: url(../interface/hotspot.png);
    position: absolute;
}
.hotspotMarker {
    background-image: url(../interface/single.png);
    background-position: 0 -34px;
    height: 34px;
    margin: -5px 0 0 -34px;
    width: 34px;
}
.markerRight .hotspotMarker {
    margin: 0;
    position: absolute;
    right: -34px;
    top: -5px;
}    
.markerTop .hotspotMarker {
    margin: -30px auto 0;
}    
.hotspotMarkerSelected {
    background-position: 0 -68px;
}
.hotspotList {
    margin-left: 54px;
}
.hotspotOutline .hotspot {
    border: 2px solid red;
    margin: -2px;
}
.hotspotHighlight .hotspot {
    background-image: url(../interface/hotspot-highlight.png);
}
.reveal {
    display: none;
    position: absolute;
}
.option {
    background-image: url(../interface/single.png);
    background-repeat: no-repeat;
    background-position: right 0;
    border-bottom: 1px solid gray;
    display: block;
    line-height: 34px;
    padding: 0 0 0 20px;
    margin: 0 0 2px 0;
}
.optionMS {
    float: left;
}
.optionSelected {
    background-position: right -34px;
}
.optionCorrect {
    background-position: right -68px;
}
.textEntryField {
    border: 1px solid gray;
    position: absolute;
}
.feedback {
    display: none;
    position: absolute;
}
#submitButton {
    background-image: url(../interface/submit-button.png);
    background-position: 0 0;
    cursor: default;
    height: 49px;
    left: 750px;
    overflow: hidden;
    position: absolute;
    text-indent: -1000px;
    top: 540px;
    width: 95px;
}
#submitButton.enabled {
    background-position: 0 -49px;
    cursor: pointer;
}
#submitButton.enabled:hover {
    background-position: 0 -98px;
}
/* ------------------------------------ My Preferences----------------------------------- */
#prefsItems {
    height: 330px;
    margin-left: 20px;
}
#prefsItems div {
    border: 1px solid #000000;
    float: left;
    margin: 10px 20px 10px 0;
    overflow: auto;
}
#prefsItems div a {
    display: block;
    margin: 0;
    padding: 12px 14px;
    width: 229px;
}
#prefsHotspot {
    clear: both;
    margin-left: 20px;
    overflow: auto;
}
#prefsHotspot div {
    background-image: url(../interface/prefs-hotspot-img.jpg);
    background-position: 210px 2px;
    background-repeat: no-repeat;
    float: left;
    margin-right: 20px;
    margin-top: 10px;
}
#prefsHotspot a {
    display: block;
    padding: 10px;
    width: 239px;
}
#prefsHotspot .hotspotOutline a {
    border: 2px solid red;
    margin: -2px;
}
#prefsHotspot .hotspotHighlight a {
    background-image: url(../interface/hotspot-highlight.png);
}
#prefsInstruction {
    background-image: url(../interface/instruction-panel.png);
    bottom: 10px;
    clear: both;
    left: 20px;
    overflow: auto;
    position: absolute;
}
#prefsInstruction p {
    display: block;
    line-height: 53px;
    margin: 0 20px;
    width: 777px;
}
/* ------------------------------------ Settings ----------------------------------- */
#settingsWallpaper {
    clear: both;
    margin-left: 20px;
    overflow: auto;
    padding-bottom: 20px;
}
#settingsWallpaper a {
    display: block;
    float: left;
    height: 118px;
    margin: 20px 20px 0 0;
    width: 115px;
}
#settingsWallpaper a:hover {
    background-position: 0 -118px;
}
#settingsWallpaper a.selectedWallpaper:hover, #settingsWallpaper a.selectedWallpaper {
    background-position: 0 -236px;
}
#settingsWallpaper p {
    margin: 20px 0 0 2px;
}
#progressType {
    float: left;
    width: 205px;
}
#progressType a {
    display: block;
    margin-top: 10px;
    width: 145px;
}
#progressColour {
    clear: both;
    margin-left: 20px;
    overflow: auto;
    padding-bottom: 20px;
}
#progressColour a {
    display: block;
    float: left;
    height: 118px;
    margin: 20px 20px 0 0;
    width: 115px;
}
#progressColour a:hover {
    background-position: 0 -118px;
}
#progressColour a.selectedProgress, #progressColour a.selectedProgress:hover {
    background-position: 0 -236px;
}
#progressColour p {
    margin: 20px 0 0 2px;
}
/* ------------------------------------ Help ----------------------------------- */
#helpText {
    margin-left: 20px;
    width: 560px;
}
#helpNav {
    position: absolute;
    right: 20px;
    top: 158px;
    width: 190px;
}
#helpNav h2 {
    margin-bottom: 10px;
}
#helpNav h3 {
}
#helpNav p {
    margin-bottom: 35px;
}

/* ------------------------------------ Page Index ----------------------------------- */
#pageIndexDisplay {
    clear: both;
    margin-left: 20px;
    overflow: auto;
    padding-bottom: 20px;
}
#pageIndexContainer {
    height: 370px;
    overflow: auto;
    width: 830px;
}
#pageIndexContainer a, #pageIndexContainer p {
    background-image: url(../interface/page-index-buttons.jpg);
    background-position: 0 -99px;
    color: #333333;
    display: block;
    float: left;
    font-size: 40px;
    height: 99px;
    line-height: 99px;
    margin: 19px 19px 0 0;
    overflow: hidden;
    text-align: center;
    width: 97px;
}
#pageIndexContainer p {
    color: #bbbbbb;
}
#pageIndexContainer a:hover {
    background-position: 0 0;
    color: #ffffff;
}
/* ------------------------------------ ----------------------------------- */
#popup {
    display: none;
    margin: 15px 0 0 15px;
    position: absolute;
    top: 200px;
    width: 430px;
}
#popupTop {
    background-image: url(../interface/popup.png);
    background-position: top;
    height: 60px;
    margin: -15px;
}
#popupMiddle {
    background-image: url(../interface/popup-middle.png);
    background-position: center;
    background-repeat: repeat-y;
    margin: 15px -15px;
    overflow: auto;
    padding: 15px;
}
#popupBottom {
    background-image: url(../interface/popup.png);
    background-position: bottom;
    height: 50px;
    margin: -15px;
}
#popupContent {
    padding: 0 30px;
    text-align: left;
}
.yesButton, .noButton, .okButton {
    display: block;
    float: left;
    height: 49px;
    margin: 0 0 0 20px;
    overflow: hidden;
    text-indent: -1000px;
    width: 95px;
}
.yesButton:hover, .noButton:hover, .okButton:hover {
    background-position: 0 -49px;
}
.yesButton {
    background-image: url(../interface/yes-button.png);
}
.noButton {
    background-image: url(../interface/no-button.png);
}
.okButton {
    background-image: url(../interface/ok-button.png);
}
#popupButtons {
    float: right;
    margin: 20px 0 0;
}
/* ------------------------- Certificate Button ------------------- */
.button {
    background-color: #008800;
    border: 1px solid #4d3d48;
    border-radius: 6px;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.75);
    color: white;
    display: block;
    font-size: 20px;
    font-weight: bold;
    left: 20px;
    padding: 16px 0;
    text-align: center;
    text-shadow: 2px 2px 2px #222222;
    top: 40px;
}
.pressed {
    box-shadow: none;
    margin-left: 2px;
    margin-top: 2px;
}
#certificateButton {
    width: 190px;
}
